Subject: [PATCH v2] Input: Make ADS7846 independent on regulator

From: [email-masked] (Mark Brown)
Date: Tue, 5 Oct 2010 11:59:43 -0700

On Tue, Oct 05, 2010 at 11:07:03AM -0700, Dmitry Torokhov wrote:
> On Tue, Oct 05, 2010 at 09:40:38AM -0700, Mark Brown wrote:

> > I really don't think it's a good idea to add this code to every single
> > regulator using driver - this seems like an enormous waste of time and
> > code complexity cost.  I have suggested several times that we should
> > extend the dummy regulator mode so that boards can enable it from code
> > as well as users enable it from Kconfig, I'm not sure why everyone is so
> > keen on bodging this in drivers.

> It all depends on what instances you expect to encounted more often -
> drivers or boards without regulators...

If the board doesn't use regulators you can just disable the regulator
API at which point it compiles out into stubs which report success -
this has been the case from day one.  There's only an issue if the board
has a regulator configuration which is partially visible to software.